import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule } from '@angular/router';
import { FontAwesomeModule } from '@fortawesome/angular-fontawesome';
import { SSTUtilsModule } from '@southsystem/utils';
import { SSTSearchModule } from '@southsystem/search';

import { SSTFullLayoutComponent } from './sst-full-layout/sst-full-layout.component';
import { SSTFullLayoutDirective } from './sst-full-layout/sst-full-layout.directive';
import { SSTProfileComponent } from './sst-profile/sst-profile.component';
import { SSTMenuComponent, SSTMenuItemComponent, SSTMenuDropdownComponent, SSTMenuListComponent } from './sst-menu/sst-menu.component';
import { SSTAvatarModule } from '@southsystem/avatar';

@NgModule({
  imports: [
    CommonModule,
    RouterModule,
    FontAwesomeModule,
    SSTUtilsModule,
    SSTSearchModule,
    SSTAvatarModule
  ],
  declarations: [
    SSTFullLayoutComponent,
    SSTFullLayoutDirective,
    SSTMenuComponent,
    SSTMenuListComponent,
    SSTMenuItemComponent,
    SSTMenuDropdownComponent,
    SSTProfileComponent
  ],
  exports: [
    SSTFullLayoutComponent,
    SSTFullLayoutDirective,
    SSTMenuComponent,
    SSTProfileComponent
  ],
  entryComponents: [
    SSTFullLayoutComponent
  ]
})
export class SSTLayoutModule {}
