import { BehaviorSubject } from 'rxjs';
import { Injectable } from '@angular/core';
import { SSTProfileItem } from './sst-profile.interface';

@Injectable({
  providedIn: 'root'
})
export class SSTProfileService {

  private profileSubject = new BehaviorSubject<SSTProfileItem[]>([]);
  public profileItems$ = this.profileSubject.asObservable();

  constructor() {}

  public setProfileItems(profileItems: SSTProfileItem[]) {
    this.profileSubject.next(profileItems);
  }

}
